{{ define "accordion2"}}
{{$ID := .Id}}
<div class="accordion" id="{{$ID}}">
{{range $cardIndex, $card := .Cards}}

<div class="accordion-item">
<h2 class="accordion-header" id="heading{{$ID}}">
<button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{$ID}}{{$cardIndex}}" aria-expanded="true" aria-controls="collapse{{$ID}}{{$cardIndex}}">
{{$card.Header}}
</button>
</h2>
<div id="collapse{{$ID}}{{$cardIndex}}" class="accordion-collapse collapse" aria-labelledby="heading{{$ID}}" data-bs-parent="#{{$ID}}">
<div class="accordion-body">
{{range $card.Desc}}
<p class="card-desc">{{.}}</p>
{{end}}
{{range $card.Anchors}}
<p class="accordion-anchor"><a href="{{.Href}}" target="{{.Target}}">{{.Title}}</a></p>
{{end}}
{{range $card.Children}}
{{template "accordion" .}}
{{end}}
</div>
</div>
</div>
{{end}}
</div>
{{end}}